import java.util.ArrayList;
import java.util.List;

import data.Sentence;
import data.Word;

public class Common {

	public static List<Sentence> corpus;
	public static List<Sentence> minCorpus;
	public static List<Sentence> midCorpus;
	public static List<Sentence> midCorpusSkip;
	public static List<Sentence> josTest;

	static {
		Sentence testSentence;

		// full sentence
		ArrayList<String> taxonomy = new ArrayList<>();
		taxonomy.add("#Ft.Z.N.N");
		List<Word> words = new ArrayList<>();
		words.add(new Word("ker", "ker", "Vd", taxonomy));
		words.add(new Word("ima", "imeti", "Ggnste-n", taxonomy));
		words.add(new Word("junak", "junak", "Somei", taxonomy));
		words.add(new Word("v", "v", "Dm", taxonomy));
		words.add(new Word("posesti", "posest", "Sozem", taxonomy));
		words.add(new Word("nekaj", "nekaj", "Rsn", taxonomy));
		words.add(new Word("o", "o", "Dm", taxonomy));
		words.add(new Word("čemer", "kar", "Zz-sem", taxonomy));
		words.add(new Word("se", "se", "Zp------k", taxonomy));
		words.add(new Word("mu", "on", "Zotmed--k", taxonomy));
		words.add(new Word("ne", "ne", "L", taxonomy));
		words.add(new Word("sanja", "sanjati", "Ggnste", taxonomy));
		words.add(new Word("a", "a", "Vp", taxonomy));
		words.add(new Word("se", "se", "Zp------k", taxonomy));
		words.add(new Word("onemu", "oni", "Zk-sed", taxonomy));
		words.add(new Word("zdi", "zdeti", "Ggnste", taxonomy));
		words.add(new Word("ključno", "ključen", "Ppnsei", taxonomy));
		words.add(new Word("pri", "pri", "Dm", taxonomy));
		words.add(new Word("operaciji", "operacija", "Sozem", taxonomy));
		words.add(new Word("666", "666", "Kag", taxonomy));

		testSentence = new Sentence(words, "#Ft.Z.N.N");
		corpus = new ArrayList<>();
		corpus.add(testSentence);

		// three word sentence
		testSentence = new Sentence(corpus.get(0).getSublist(0, 3), "#Ft.Z.N.N");
		minCorpus = new ArrayList<>();
		minCorpus.add(testSentence);

		// five word sentence
		words = new ArrayList<>();
		words.add(new Word("ker", "ker", "Vd", taxonomy));
		words.add(new Word("ima", "imeti", "Ggnste-n", taxonomy));
		words.add(new Word("junak", "junak", "Somei", taxonomy));
		words.add(new Word("ima", "imeti", "Ggnste-n", taxonomy));
		words.add(new Word("posesti", "posest", "Sozem", taxonomy));
		testSentence = new Sentence(words, "#Ft.Z.N.N");

		midCorpus = new ArrayList<>();
		midCorpus.add(testSentence);

		// five word sentence - for skipgrams
		words = new ArrayList<>();
		words.add(new Word("ker", "ker", "Vd", taxonomy));
		words.add(new Word("ima", "imeti", "Ggnste-n", taxonomy));
		words.add(new Word("junak", "junak", "Somei", taxonomy));
		words.add(new Word("v", "v", "Dm", taxonomy));
		words.add(new Word("posesti", "posest", "Sozem", taxonomy));
		testSentence = new Sentence(words, "#Ft.Z.N.N");

		midCorpusSkip = new ArrayList<>();
		midCorpusSkip.add(testSentence);

		// JOS test
		words = new ArrayList<>();
		words.add(new Word("junak", "junak", "Somei", taxonomy));
		words.add(new Word("ima", "imeti", "Ggnste-n", taxonomy));
		words.add(new Word("posesti", "posest", "Sozem", taxonomy));
		testSentence = new Sentence(words, "#Ft.Z.N.N");

		josTest = new ArrayList<>();
		josTest.add(testSentence);
	}

}
